CVE-2011-1145

NameCVE-2011-1145
DescriptionThe SQLDriverConnect() function in unixODBC before 2.2.14p2 have a possible buffer overflow condition when specifying a large value for SAVEFILE parameter in the connection string.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium
Debian Bugs617655

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
unixodbc (PTS)stretch2.3.4-1fixed
bookworm, buster, bullseye2.3.6-0.1fixed
sid2.3.9-4fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
unixodbcsource(unstable)2.2.14p2-3low617655

Notes

[squeeze] - unixodbc <no-dsa> (Only exploitable through a malicious server)
[lenny] - unixodbc <no-dsa> (Only exploitable through a malicious server)
http://seclists.org/oss-sec/2011/q1/446

Search for package or bug name: Reporting problems